---
title: Contributing
description: Begin learning about how you can contribute to the Install Doctor project here. This page will introduce you to various ways you can contribute as well as point you to the appropriate contributing guidelines.
sidebar_label: Overview
slug: /contributing
---

There are many different ways you can contribute to Install Doctor, as well as the other [projects maintained by Megabyte Labs](https://gitlab.com/megabyte-labs). We develop and fund this project as open-source in hopes that you will find it useful and maybe even decide to contribute enhancements. There are several ways you can do this. You can:

1. Report bugs, issues, and error messages
2. Submit feature requests
3. Contribute by opening a pull request
4. Join the community
5. Spread the word by sharing your positive experience with Install Doctor

## Reporting Issues

You can open issues either on our GitHub issues page or on our GitLab issues page. Both are monitored closely. When submitting issues be sure to include relevant information like what operating system you are using, the operating system version, and whether or not is a fresh install. Depending on the issue, you might want to include other details. In order to make sure the issue you submit can be addressed, be sure to include as much detail as possible.

## Feature Requests

Feature requests are welcome and extremely important to us. Hopefully, the project can be steered via community feedback and formal feature requests posted on GitHub or GitLab will be prioritized over feature requests made over other channels, like chat rooms. For more details on how to submit a feature request, check out the [Feature Requests](/docs/contributing/feature-requests) page.

## Pull Requests

Once you get into the groove of Install Doctor, you might come up with fixes or new features that you would like to see integrated into the Install Doctor project. You might do this so other communities can take advantage of your work and also improve it even further with their optimizations. Before opening a pull request, it is important to read through our [Code Quality](/docs/contributing/code-quality) and [Pull Request](/docs/contributing/pull-requests) documentation.

If you see documentation that can be improved and can do better, you can also make edits directly on GitHub by using the links on each documentation page that say, "Edit on GitHub." When submitting documentation changes, you should follow the recommendations provided on the [Contributing Documentation](/docs/contributing/documentation) page.

## Join the Community

Filing issues and contributing code are the not only ways you can contribute. You can also engage with our community by asking questions or posting answers on any of our channels detailed on the [Community page](https://install.doctor/community). One of our goals is to have an active community powering the progression of Install Doctor so that our default configurations inch closer and closer to perfection.

## Star and Share

If you appreciate Install Doctor and think other people should know about it then please [Star our GitHub project](https://github.com/megabyte-labs/install.doctor) and share your positive experience with it elsewhere.